import streamlit as st
import pandas as pd
import matplotlib.pyplot as plt

# ダミーデータ作成
data = pd.DataFrame({
    "x": range(1, 11),
    "y": [i**2 for i in range(1, 11)]
})

# データ表示
st.write("📊 データフレーム:")
st.dataframe(data)

# 折れ線グラフを描画
fig, ax = plt.subplots()
ax.plot(data["x"], data["y"], marker="o")
st.pyplot(fig)